using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YouTube_Playback_Sample
{

    // Video information:
    internal class YVLink
    {
        private string Resolution;
        private string Format;
        private string Size;
        private string FPS;
        private string ID;

        public YVLink(string ID, string Resolution, string FPS, string Format, string Size)
        {
            this.Format = Format;
            this.Resolution = Resolution;
            this.Size = Size;
            this.FPS = FPS;
            this.ID = ID;
        }

        public string GetOpenArgumentPart1st()
        {
            return @"youtube.options='-f " + ID;
        }

        override public string ToString()
        {
            return Resolution + "   " + FPS + "p   (" + Format + ")   " + Size;
        }
    }

    // Audio information:
    internal class YALink
    {
        private string SampleRate;
        private string BitRate;
        private string Format;
        private string Size;
        private string ID;

        public YALink(string ID, string Format, string Size, string BitRate, string SampleRate)
        {
            this.ID = ID;
            this.Format = Format;
            this.Size = Size;
            this.BitRate = BitRate;
            this.SampleRate = SampleRate;
        }


        public string GetOpenArgumentPart2nd()
        {
            return @"+" + ID + "'";
        }

        override public string ToString()
        {
            return Format + "   " + SampleRate + "   " + Size + "   " + BitRate;
        }
    }
}
